> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Return all your created WhatsApp campaigns

GET https://api.brevo.com/v3/whatsappCampaigns

Retrieve a paginated list of all your WhatsApp campaigns with their statistics and metadata. Results can be filtered by creation date range using startDate and endDate, with a default limit of 50 and maximum of 100 per page. The sort order defaults to descending by modification date.

Reference: https://developers.brevo.com/reference/get-whats-app-campaigns

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `startDate` (string, optional) — **Mandatory if endDate is used**. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the WhatsApp campaigns created. **Prefer to pass your timezone in date-time format for accurate result**
- `endDate` (string, optional) — **Mandatory if startDate is used**. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the WhatsApp campaigns created. **Prefer to pass your timezone in date-time format for accurate result**
- `limit` (long, optional, default: 50) — Number of documents per page
- `offset` (long, optional, default: 0) — Index of the first document in the page
- `sort` (enum, optional, default: desc) — Sort the results in the ascending/descending order of record modification. Default order is **descending** if `sort` is not passed
  - Allowed values: `asc`, `desc`

## Response

### 200

WhatsApp campaigns information

- `campaigns` (list of object, optional)
  - `campaignName` (string, required) — Name of the WhatsApp Campaign
  - `campaignStatus` (enum, required) — Status of the Whatsapp Campaign
    - Allowed values: `draft`, `scheduled`, `pending`, `approved`, `running`, `suspended`, `rejected`, `sent`
  - `createdAt` (string, required) — Creation UTC date-time of the WhatsApp campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)
  - `id` (long, required) — ID of the WhatsApp Campaign
  - `modifiedAt` (string, required) — UTC date-time of last modification of the WhatsApp campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)
  - `scheduledAt` (string, required) — UTC date-time on which WhatsApp campaign is scheduled. Should be in YYYY-MM-DDTHH:mm:ss.SSSZ format
  - `templateId` (string, required) — Id of the WhatsApp template
  - `errorReason` (string, optional) — Error Reason associated with the WhatsApp campaign sending
  - `invalidatedContacts` (long, optional) — Count of invalidated contacts
  - `readPercentage` (float, optional) — Read percentage of the the whatsapp campaign created
  - `stats` (object, optional)
    - `delivered` (integer, required)
    - `notSent` (integer, required)
    - `read` (integer, required)
    - `sent` (integer, required)
    - `unsubscribe` (integer, required)
- `count` (long, optional) — Number of WhatsApp campaigns retrieved

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "campaigns": [
    {
      "campaignName": "campaign_22",
      "campaignStatus": "sent",
      "createdAt": "2017-05-01T12:30:00Z",
      "id": 1672035851100690,
      "modifiedAt": "2017-05-01T12:30:00Z",
      "scheduledAt": "2022-12-27T09:50:00Z",
      "templateId": "637660278078655",
      "errorReason": "NONE",
      "invalidatedContacts": 0,
      "readPercentage": 28.57,
      "stats": {
        "delivered": 3,
        "notSent": 4,
        "read": 2,
        "sent": 3,
        "unsubscribe": 0
      }
    }
  ],
  "count": 23
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.whatsAppCampaigns.getWhatsAppCampaigns({});
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.whats_app_campaigns.get_whats_app_campaigns()

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\WhatsAppCampaigns\Requests\GetWhatsAppCampaignsRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->whatsAppCampaigns->getWhatsAppCampaigns(
    new GetWhatsAppCampaignsRequest([]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/whatsappCampaigns"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/whatsappCampaigns")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/whatsappCampaigns")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/whatsappCampaigns");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/whatsappCampaigns")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```